Page MenuHomePhabricator

Request creation of wikidata-documentation labs project
Closed, DeclinedPublic

Description

Project Name: wikidata-documentation

Type: component is fine

Purpose: For managing the many tasks and subtasks of documentation on Wikidata - as a followup to T159215 and T159216, among others

Wikitech username of requestor: @Spinster

Brief description: Project to manage the creation and updating of user documentation on Wikidata.

How soon you are hoping this can be fulfilled: ASAP

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2017, 10:54 AM
Spinster updated the task description. (Show Details)May 21 2017, 10:55 AM

@Spinster: Is this a request to create a project on Labs (because in that case it should not be Project-Admins)?
Or is this a request to create a project in Phabricator (because then the parent task looks unrelated and also Cloud-Services)?
Do you have the rights/permissions to fix this request yourself (as this task is assigned to you)?
If a Phabricator project is requested:
Wikidata and Documentation tags both exist but I assume you'd like to have a project workboard which you only get when having a dedicated project? When someone creates a new task in this new project, should the task automatically also get the Wikidata and Documentation tags? Because that could be done...

Spinster added a comment.EditedMay 21 2017, 6:31 PM

@Aklapper Thanks for your quick reply! It is a request to create a project in Phabricator I guess (I'm still trying to get familiar with the workflows and culture here).

I fixed the tags. Yes, it is absolutely related to Wikidata's WikiProject Documentation; I'd like to use Phabricator to do project management for that, and have the impression that we'll have more features when it's a separate project. It definitely makes sense to tag all tasks with Wikidata and Documentation automatically, if that wouldn't unnecessarily flood unrelated people's worklists.

Hmm... if this is about documentation that lives on wikidata.org, this could also just use the workboard of the Wikidata.org project (which is currently unused) and also putting the Documentation tag on them? That might work?

(Ah, I see you removed Project-Admins and Cloud-Services in the meantime so maybe this is not about creating a project in Phabricator?)

Andrew added a subscriber: Andrew.May 26 2017, 7:50 PM

Since this is not actually about a Labs project I'm going to remove the associated parent task.

Suggestion: Let's close this task and use the wikidata.org project. That can then be filtered for all tasks that are tagged documentation.

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Jun 11 2017, 5:33 PM
Aklapper closed this task as Declined.Jun 18 2017, 4:23 PM

I'm declining this task as per last comment - If I understand correctly, clicking on "Open Tasks" in the upper right corner, setting "Advanced Filter...", setting the "Tags" to "Documentation", and clicking "Apply Filter" seems to be sufficient. If not, please reopen! Thanks.